cascading.flow.planner.rule

## Enum RulePartitioner.PartitionSource

- java.lang.Object
- - java.lang.Enum<RulePartitioner.PartitionSource>
  - - cascading.flow.planner.rule.RulePartitioner.PartitionSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RulePartitioner.PartitionSource>
  Enclosing class:
    RulePartitioner

      public static enum RulePartitioner.PartitionSource
      extends java.lang.Enum<RulePartitioner.PartitionSource>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PartitionCurrent` Partition a given child into more children, removing the original child.
    `PartitionParent` Partition the parent into children.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RulePartitioner.PartitionSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RulePartitioner.PartitionSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PartitionParent

          public static final RulePartitioner.PartitionSource PartitionParent

      Partition the parent into children.

    - #### PartitionCurrent

          public static final RulePartitioner.PartitionSource PartitionCurrent

      Partition a given child into more children, removing the original child.

  - ### Method Detail

    - #### values

          public static RulePartitioner.PartitionSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RulePartitioner.PartitionSource c : RulePartitioner.PartitionSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RulePartitioner.PartitionSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.